Package com.independentsoft.office.spreadsheet

# Class IgnoredError

java.lang.Object
com.independentsoft.office.spreadsheet.IgnoredError

public class IgnoredError extends Object
The Class IgnoredError.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IgnoredError()`
  Instantiates a new ignored error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IgnoredError`
  `clone()`
  `String`
  `getReferenceSequence()`
  Gets the reference sequence.
  `boolean`
  `isCalculatedColumn()`
  Checks if is calculated column.
  `boolean`
  `isEmptyCellReference()`
  Checks if is empty cell reference.
  `boolean`
  `isEvaluationError()`
  Checks if is evaluation error.
  `boolean`
  `isFormula()`
  Checks if is formula.
  `boolean`
  `isFormulaRange()`
  Checks if is formula range.
  `boolean`
  `isListDataValidation()`
  Checks if is list data validation.
  `boolean`
  `isNumberStoredAsText()`
  Checks if is number stored as text.
  `boolean`
  `isTwoDigitTextYear()`
  Checks if is two digit text year.
  `boolean`
  `isUnlockedFormula()`
  Checks if is unlocked formula.
  `void`
  `setCalculatedColumn​(boolean calculatedColumn)`
  Sets the calculated column.
  `void`
  `setEmptyCellReference​(boolean emptyCellReference)`
  Sets the empty cell reference.
  `void`
  `setEvaluationError​(boolean evaluationError)`
  Sets the evaluation error.
  `void`
  `setFormula​(boolean formula)`
  Sets the formula.
  `void`
  `setFormulaRange​(boolean formulaRange)`
  Sets the formula range.
  `void`
  `setListDataValidation​(boolean listDataValidation)`
  Sets the list data validation.
  `void`
  `setNumberStoredAsText​(boolean numberStoredAsText)`
  Sets the number stored as text.
  `void`
  `setReferenceSequence​(String referenceSequence)`
  Sets the reference sequence.
  `void`
  `setTwoDigitTextYear​(boolean twoDigitTextYear)`
  Sets the two digit text year.
  `void`
  `setUnlockedFormula​(boolean unlockedFormula)`
  Sets the unlocked formula.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IgnoredError

    public IgnoredError()
    Instantiates a new ignored error.

- ## Method Details

  - ### clone

    public IgnoredError clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isCalculatedColumn

    public boolean isCalculatedColumn()
    Checks if is calculated column.
    Returns:
      true, if is calculated column

  - ### setCalculatedColumn

    public void setCalculatedColumn​(boolean calculatedColumn)
    Sets the calculated column.
    Parameters:
      `calculatedColumn` - the new calculated column

  - ### isEmptyCellReference

    public boolean isEmptyCellReference()
    Checks if is empty cell reference.
    Returns:
      true, if is empty cell reference

  - ### setEmptyCellReference

    public void setEmptyCellReference​(boolean emptyCellReference)
    Sets the empty cell reference.
    Parameters:
      `emptyCellReference` - the new empty cell reference

  - ### isEvaluationError

    public boolean isEvaluationError()
    Checks if is evaluation error.
    Returns:
      true, if is evaluation error

  - ### setEvaluationError

    public void setEvaluationError​(boolean evaluationError)
    Sets the evaluation error.
    Parameters:
      `evaluationError` - the new evaluation error

  - ### isFormula

    public boolean isFormula()
    Checks if is formula.
    Returns:
      true, if is formula

  - ### setFormula

    public void setFormula​(boolean formula)
    Sets the formula.
    Parameters:
      `formula` - the new formula

  - ### isFormulaRange

    public boolean isFormulaRange()
    Checks if is formula range.
    Returns:
      true, if is formula range

  - ### setFormulaRange

    public void setFormulaRange​(boolean formulaRange)
    Sets the formula range.
    Parameters:
      `formulaRange` - the new formula range

  - ### isListDataValidation

    public boolean isListDataValidation()
    Checks if is list data validation.
    Returns:
      true, if is list data validation

  - ### setListDataValidation

    public void setListDataValidation​(boolean listDataValidation)
    Sets the list data validation.
    Parameters:
      `listDataValidation` - the new list data validation

  - ### isNumberStoredAsText

    public boolean isNumberStoredAsText()
    Checks if is number stored as text.
    Returns:
      true, if is number stored as text

  - ### setNumberStoredAsText

    public void setNumberStoredAsText​(boolean numberStoredAsText)
    Sets the number stored as text.
    Parameters:
      `numberStoredAsText` - the new number stored as text

  - ### getReferenceSequence

    public String getReferenceSequence()
    Gets the reference sequence.
    Returns:
      the reference sequence

  - ### setReferenceSequence

    public void setReferenceSequence​(String referenceSequence)
    Sets the reference sequence.
    Parameters:
      `referenceSequence` - the new reference sequence

  - ### isTwoDigitTextYear

    public boolean isTwoDigitTextYear()
    Checks if is two digit text year.
    Returns:
      true, if is two digit text year

  - ### setTwoDigitTextYear

    public void setTwoDigitTextYear​(boolean twoDigitTextYear)
    Sets the two digit text year.
    Parameters:
      `twoDigitTextYear` - the new two digit text year

  - ### isUnlockedFormula

    public boolean isUnlockedFormula()
    Checks if is unlocked formula.
    Returns:
      true, if is unlocked formula

  - ### setUnlockedFormula

    public void setUnlockedFormula​(boolean unlockedFormula)
    Sets the unlocked formula.
    Parameters:
      `unlockedFormula` - the new unlocked formula